# eth\_estimateGas - Ethereum

## How to Use the eth\_estimateGas Method

### **Parameters**

TRANSACTION CALL OBJECT \[necessary]

* from: \[variable] 20 Bytes - What address are you sending transactions from.
* to: 20 Bytes - Which address should receive your transaction.
* gas: \[variable] How much gas do you need to proceed a transaction (as an integer). eth\_estimateGas doesn’t require gas at all, but with some actions you will need this parameter.
* gasPrice: \[variable] Present gasPrice for each gas you paid for as an integer.
* value: \[variable How much ETH do you send by this transaction.
* data: \[variable] Method signature and encoded parameters’ hash. Check Ethereum Contract ABI to see details.

### What you receive

QUANTITY - how much gas did you use.

### Sample

Here is a typical appliance example.

#### Call

{% tabs %}
{% tab title="Curl" %}

```bash
curl https://eth-mainnet.rpcfast.com/?api_key=<key> \
-X POST \
-H "Content-Type: application/json" \
-d '{"jsonrpc":"2.0","method":"eth_estimateGas","params":[{see above}],"id":1}'
```

{% endtab %}
{% endtabs %}

#### Outcome

```json
{ "id":1, "jsonrpc": "2.0", "result": "0x5208" // 21000 }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rpcfast.com/rpc-fast-saas-evm/ethereum-api/eth_estimategas-ethereum.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
